コンサデコンサ英語版にTwentyFourteen 2.2を導入する際の設定項目

TwentyForteenがアップデートした。

コンサデコンサ英語版に、TwentyFourteen 2.2を導入する際の設定項目の覚え書き。

使用テーマ:TwentyFourteen 2.2


WordPress 4.9 で新たに導入されたコードエディタは、トラブルが起きる事がある。コードに問題がある時に、保存に失敗し、その後、コードエディタ上での修正ができず、ファイルの中身が消えてしまうことがある。
この場合は、FTPを使って行う必要がある。なので保険のため、修正する前に予めファイルをダウンロードして保管しておく必要がある。

文字コードに注意:
文字コード:Unicode(UTF8)または、欧米(ascii)
改行:UNIX(LF)

ファイルによって、これ以外のものもある模様。


【TwentyFourteen 2.2本体】

【ヘッダ部分】
Font Awesome 5を使えるようにするため、header.phpに追記。

headタグの間にFont Awesome 5サイトにあるスクリプトを追記する。


【フッタ部分】
footer.phpを修正。

Proudly powered by WordPressの制御文の後ろに

| Copyright © 1996-2018 CONSA DE CONSA

を書き足す。


【子テーマ】

子テーマの内容は、アップデートには影響ないので、特にいじらず。

【CSSに追記する項目】

CSSの変更箇所は、子テーマ内のCSSに。

【表示を左端固定表示から中央揃えに変更】

【タイトルのアルファベットが自動で大文字表示になるのを停止する】

【サムネイルの表示方法】


【full-widthのテンプレート】

full-widthのテンプレートも子テーマ内なので、特にいじらず。


【404ページ】

404ページは、子テーマ内にあるので、特に変更しない。

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です